> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List playbook publish approval requests

> Returns a paginated list of playbook publish approval requests visible to the authenticated user.



## OpenAPI

````yaml get /workspace/{ws_id}/publish_approval_requests
openapi: 3.0.1
info:
  title: Blink REST API
  description: >-
    The Blink REST API provides programmatic access to Blink data and
    functionality, enabling the management of resources such as workflows,
    users, cases, and more.
  termsOfService: https://www.blinkops.com/terms-of-use
  contact:
    name: API Support
    url: http://blinkops.com/support
    email: support@blinkops.com
  version: '1.0'
servers:
  - url: https://app.blinkops.com/api/v1
security: []
tags:
  - name: Controller
    description: Controller health and stats
  - name: Connections
    description: Manage your connections
  - name: Integrations
    description: Manage your integrations
  - name: Invites
    description: Manage your invites
  - name: Workflows
    description: Create and execute your workflows
  - name: Executions
    description: Get information and manage executions
  - name: Runners
    description: Configure your runners
  - name: Tables
    description: Manage your tables
  - name: Case Management
    description: Manage your cases
  - name: User Settings
    description: Manage user settings
  - name: Webhook
    description: Send to webhook
  - name: workspaces
    description: Manage your workspaces
  - name: User Info
    description: Get Information on current user
  - name: Portal
    description: Manage your portal apps
  - name: Groups
    description: Manage your Groups
  - name: Users
    description: Manage your users
paths:
  /workspace/{ws_id}/publish_approval_requests:
    get:
      tags:
        - Playbook Publish Approval
      summary: List playbook publish approval requests
      description: >-
        Returns a paginated list of playbook publish approval requests visible
        to the authenticated user.
      operationId: GetPublishApprovalRequests
      parameters:
        - name: ws_id
          in: path
          description: Workspace ID
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: Maximum number of results to return
          schema:
            type: integer
        - name: offset
          in: query
          description: Number of results to skip
          schema:
            type: integer
        - name: order
          in: query
          description: Sort order
          schema:
            type: string
      responses:
        '200':
          description: Paginated list of approval requests
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/api_responses.ResponseWrapper'
                  - type: object
                    properties:
                      results:
                        type: array
                        items:
                          $ref: >-
                            #/components/schemas/api.DocsPlaybookPublishRequestEnhanced
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api_responses.ResponseWrapper:
      type: object
      properties:
        limit:
          type: integer
        offset:
          type: integer
        results:
          type: object
        total:
          type: integer
    api.DocsPlaybookPublishRequestEnhanced:
      type: object
      properties:
        approved_by:
          type: string
        approvers:
          type: array
          items:
            type: string
        approving_user_name:
          type: string
        branched_from:
          type: integer
        comment_thread_id:
          type: string
        created_at:
          type: integer
        created_by:
          type: string
        has_permissions:
          type: boolean
        id:
          type: string
        pack_id:
          type: string
        playbook:
          type: string
        playbook_icon:
          type: string
        playbook_id:
          type: string
        playbook_name:
          type: string
        published_by:
          type: string
        publishing_user_name:
          type: string
        request_by:
          type: string
        request_by_email:
          type: string
        request_note:
          type: string
        requesting_user_name:
          type: string
        shortened_request_id:
          type: string
        status:
          type: string
        tenant_id:
          type: string
        updated_at:
          type: integer
        updated_by:
          type: string
        workspace_id:
          type: string
        workspace_name:
          type: string
    api_responses.ErrorWrapper:
      type: object
      properties:
        data:
          type: object
        details:
          type: string
        identifier:
          type: string
        message:
          type: string
        status:
          type: integer
          example: 404
        user_error:
          type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: >-
        Use your API key to access BlinkOps API. To generate an API key, please
        log in to your BlinkOps account and navigate to the API Keys section in
        the user settings page. Add the generated key to your request headers as
        BLINK-API-KEY.
      name: BLINK-API-KEY
      in: header

````